Loading...
Searching...
No Matches
lintree.h File Reference
`#include <string>`
`#include <vector>`
`#include <cstring>`
`#include <Singular/ipid.h>`

Go to the source code of this file.

## Data Structures

class | LinTree::LinTree

## Namespaces

namespace | LinTree

## Typedefs

typedef void(* | LinTree::LinTreeEncodeFunc) (LinTree &lintree, leftv val)
typedef leftv(* | LinTree::LinTreeDecodeFunc) (LinTree &lintree)
typedef void(* | LinTree::LinTreeRefFunc) (LinTree &lintree, int by)

## Functions

void | LinTree::install (int typ, LinTreeEncodeFunc enc, LinTreeDecodeFunc dec, LinTreeRefFunc ref)
std::string | LinTree::to_string (leftv val)
leftv | LinTree::from_string (std::string &str)
void | LinTree::init ()